Package uk.ac.starlink.tfcat

# Class Geometry<S>

java.lang.Object
uk.ac.starlink.tfcat.TfcatObject
uk.ac.starlink.tfcat.Geometry<S>

Direct Known Subclasses:
  `Geometry.GeometryCollection`, `Geometry.LineString`, `Geometry.MultiLineString`, `Geometry.MultiPoint`, `Geometry.MultiPolygon`, `Geometry.Point`, `Geometry.Polygon`

public abstract class Geometry<S> extends TfcatObject
Abstract superclass representing one of the seven typed Geometry objects defined in the TFCat specification. Instances will be one of the seven typed internal subclasses.

Since:
  9 Feb 2022
Author:
  Mark Taylor

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static class`
`Geometry.GeometryCollection`
Geometry subclass representing a TFCat GeometryCollection.
`static class`
`Geometry.LineString`
Geometry subclass representing a TFCat LineString.
`static class`
`Geometry.MultiLineString`
Geometry subclass representing a TFCat MultiLineString.
`static class`
`Geometry.MultiPoint`
Geometry subclass representing a TFCat MultiPoint.
`static class`
`Geometry.MultiPolygon`
Geometry subclass representing a TFCat MultiPolygon.
`static class`
`Geometry.Point`
Geometry subclass representing a TFCat Point.
`static class`
`Geometry.Polygon`
Geometry subclass representing a TFCat Polygon.

## Method Summary

Modifier and Type
Method
Description
`S`
`getShape()`
Returns the coordinate information giving the content of this geometry.
`void`
`purgeJson()`
Removes any reference to the original parsed JSON from this object.

### Methods inherited from class uk.ac.starlink.tfcat.TfcatObject

`getBbox, getCrs, getJson, getParent, getType`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### getShape

public S getShape()
Returns the coordinate information giving the content of this geometry.

Returns:
  shape

### purgeJson

public void purgeJson()
Description copied from class: `TfcatObject`
Removes any reference to the original parsed JSON from this object. This may be useful for purposes of efficiency following a parse if the TFCat objects are to be long-lived.

Overrides:
  `purgeJson` in class `TfcatObject`